RDKit: RDKit::MolCatalogEntry Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
RDKit::MolCatalogEntry Class Reference

This class is used to store ROMol objects in a MolCatalog. More...

`#include <MolCatalogEntry.h>`

Inheritance diagram for RDKit::MolCatalogEntry:

## Public Member Functions
| MolCatalogEntry ()
| MolCatalogEntry (const MolCatalogEntry &other)
| copy constructor More...
| MolCatalogEntry (const ROMol *omol)
| create an entry to hold the provided ROMol More...
| MolCatalogEntry (const std::string &pickle)
| construct from a pickle More...
| ~MolCatalogEntry ()
std::string | getDescription () const
| returns a text description of this entry More...
void | setDescription (std::string val)
unsigned int | getOrder () const
void | setOrder (unsigned int order)
const ROMol * | getMol () const
void | setMol (const ROMol *molPtr)
| hold the provided ROMol More...
template<typename T >
void | setProp (const char *key, T &val) const
| set a named property More...
template<typename T >
void | setProp (const std::string &key, T &val) const
template<typename T >
void | getProp (const char *key, T &res) const
| get the value of a named property More...
template<typename T >
void | getProp (const std::string &key, T &res) const
bool | hasProp (const char *key) const
| returns true if such a property exists More...
bool | hasProp (const std::string &key) const
void | clearProp (const char *key) const
| clears a named property More...
void | clearProp (const std::string &key) const
void | toStream (std::ostream &ss) const
| serializes this entry to the stream More...
std::string | Serialize () const
| returns a serialized (pickled) form of the entry More...
void | initFromStream (std::istream &ss)
| initialize from a stream containing a pickle More...
void | initFromString (const std::string &text)
| initialize from a string containing a pickle More...
Public Member Functions inherited from RDCatalog::CatalogEntry
virtual | ~CatalogEntry ()=0
void | setBitId (int bid)
| sets our bit Id More...
int | getBitId () const
| returns our bit Id More...

## Detailed Description

This class is used to store ROMol objects in a MolCatalog.

Definition at line 16 of file MolCatalogEntry.h.

## Constructor & Destructor Documentation

RDKit::MolCatalogEntry::MolCatalogEntry | ( |  | ) |
| inline

Definition at line 18 of file MolCatalogEntry.h.

References RDCatalog::CatalogEntry::setBitId().

RDKit::MolCatalogEntry::MolCatalogEntry | ( | const MolCatalogEntry & | other | ) |

copy constructor

RDKit::MolCatalogEntry::MolCatalogEntry | ( | const ROMol * | omol | ) |

create an entry to hold the provided ROMol

The MolCatalogEntry takes ownership of the pointer

RDKit::MolCatalogEntry::MolCatalogEntry | ( | const std::string & | pickle | ) |
| inline

construct from a pickle

Definition at line 33 of file MolCatalogEntry.h.

References initFromString(), and ~MolCatalogEntry().

RDKit::MolCatalogEntry::~MolCatalogEntry | ( |  | ) |

Referenced by MolCatalogEntry().

## Member Function Documentation

void RDKit::MolCatalogEntry::clearProp | ( | const char * | key | ) | const
| inline

clears a named property

Definition at line 84 of file MolCatalogEntry.h.

References RDKit::Dict::clearVal().

void RDKit::MolCatalogEntry::clearProp | ( | const std::string & | key | ) | const
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 86 of file MolCatalogEntry.h.

References clearProp(), initFromStream(), initFromString(), Serialize(), and toStream().

Referenced by clearProp().

std::string RDKit::MolCatalogEntry::getDescription | ( |  | ) | const
| inlinevirtual

returns a text description of this entry

Implements RDCatalog::CatalogEntry.

Definition at line 37 of file MolCatalogEntry.h.

const ROMol* RDKit::MolCatalogEntry::getMol | ( |  | ) | const
| inline

Definition at line 44 of file MolCatalogEntry.h.

References setMol().

unsigned int RDKit::MolCatalogEntry::getOrder | ( |  | ) | const
| inline

Definition at line 41 of file MolCatalogEntry.h.

template<typename T >

void RDKit::MolCatalogEntry::getProp | ( | const char * | key,
|  | T & | res
| ) |  | const
| inline

get the value of a named property

Definition at line 66 of file MolCatalogEntry.h.

References RDKit::Dict::getVal().

Referenced by getProp().

template<typename T >

void RDKit::MolCatalogEntry::getProp | ( | const std::string & | key,
|  | T & | res
| ) |  | const
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 71 of file MolCatalogEntry.h.

References getProp().

bool RDKit::MolCatalogEntry::hasProp | ( | const char * | key | ) | const
| inline

returns true if such a property exists

Definition at line 76 of file MolCatalogEntry.h.

References RDKit::Dict::hasVal().

bool RDKit::MolCatalogEntry::hasProp | ( | const std::string & | key | ) | const
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 81 of file MolCatalogEntry.h.

References hasProp().

Referenced by hasProp().

void RDKit::MolCatalogEntry::initFromStream | ( | std::istream & | ss | ) |
| virtual

initialize from a stream containing a pickle

Implements RDCatalog::CatalogEntry.

Referenced by clearProp().

void RDKit::MolCatalogEntry::initFromString | ( | const std::string & | text | ) |
| virtual

initialize from a string containing a pickle

Implements RDCatalog::CatalogEntry.

Referenced by clearProp(), and MolCatalogEntry().

std::string RDKit::MolCatalogEntry::Serialize | ( |  | ) | const
| virtual

returns a serialized (pickled) form of the entry

Implements RDCatalog::CatalogEntry.

Referenced by clearProp().

void RDKit::MolCatalogEntry::setDescription | ( | std::string | val | ) |
| inline

Definition at line 39 of file MolCatalogEntry.h.

void RDKit::MolCatalogEntry::setMol | ( | const ROMol * | molPtr | ) |

hold the provided ROMol

The MolCatalogEntry takes ownership of the pointer. If the MolCatalogEntry already has a molecule, this one will be deleted.

Referenced by getMol().

void RDKit::MolCatalogEntry::setOrder | ( | unsigned int | order | ) |
| inline

Definition at line 42 of file MolCatalogEntry.h.

template<typename T >

void RDKit::MolCatalogEntry::setProp | ( | const char * | key,
|  | T & | val
| ) |  | const
| inline

set a named property

Definition at line 54 of file MolCatalogEntry.h.

References RDKit::Dict::setVal().

Referenced by setProp().

template<typename T >

void RDKit::MolCatalogEntry::setProp | ( | const std::string & | key,
|  | T & | val
| ) |  | const
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 60 of file MolCatalogEntry.h.

References setProp().

void RDKit::MolCatalogEntry::toStream | ( | std::ostream & | ss | ) | const
| virtual

serializes this entry to the stream

Implements RDCatalog::CatalogEntry.

Referenced by clearProp().

The documentation for this class was generated from the following file:

- MolCatalogEntry.h